< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package accounts
  Definition Classes
    ct
-  package frs102
  Definition Classes
    accounts
-  package boxes
  Definition Classes
    frs102
-  package loansToDirectors
  Definition Classes
    boxes
-  package relatedPartyTransactions
  Definition Classes
    boxes
- AC106
- AC106A
- AC107
- AC114
- AC114A
- AC114B
- AC115
- AC115A
- AC115B
- AC116
- AC116A
- AC116B
- AC117
- AC117A
- AC117B
- AC118
- AC118A
- AC118B
- AC119
- AC119A
- AC119B
- AC120
- AC120A
- AC120B
- AC121
- AC121A
- AC121B
- AC122
- AC122A
- AC122B
- AC123
- AC123A
- AC123B
- AC124
- AC124A
- AC124B
- AC124C
- AC124D
- AC124E
- AC125
- AC125A
- AC125B
- AC125C
- AC125D
- AC125E
- AC126
- AC126A
- AC126B
- AC126C
- AC126D
- AC126E
- AC127
- AC127A
- AC127B
- AC127C
- AC127D
- AC127E
- AC128
- AC128A
- AC128B
- AC128C
- AC128D
- AC128E
- AC129
- AC129A
- AC129B
- AC129C
- AC129D
- AC129E
- AC130
- AC130A
- AC130B
- AC130C
- AC130D
- AC130E
- AC131
- AC131A
- AC131B
- AC131C
- AC131D
- AC131E
- AC132
- AC132A
- AC132B
- AC132C
- AC132D
- AC132E
- AC133
- AC133A
- AC133B
- AC133C
- AC133D
- AC133E
- AC134
- AC135
- AC136
- AC137
- AC138
- AC138B
- AC139
- AC139B
- AC140
- AC141
- AC142
- AC143
- AC144
- AC145
- AC146
- AC147
- AC148
- AC149
- AC150
- AC150B
- AC151
- AC151B
- AC152
- AC153
- AC154
- AC155
- AC156
- AC157
- AC158
- AC159
- AC160
- AC161
- AC162
- AC163
- AC18
- AC187
- AC188
- AC189
- AC19
- AC190
- AC20
- AC200
- AC200A
- AC209
- AC209A
- AC209B
- AC21
- AC210
- AC210A
- AC210B
- AC211
- AC211A
- AC211B
- AC212
- AC212A
- AC212B
- AC212C
- AC212D
- AC212E
- AC213
- AC213A
- AC213B
- AC213C
- AC213D
- AC213E
- AC214
- AC214A
- AC214B
- AC214C
- AC214D
- AC214E
- AC217
- AC219
- AC22
- AC23
- AC26
- AC27
- AC28
- AC29
- AC30
- AC31
- AC32
- AC320
- AC320A
- AC321
- AC322
- AC323
- AC324
- AC33
- AC34
- AC35
- AC36
- AC37
- AC42
- AC43
- AC44
- AC45
- AC48
- AC49
- AC50
- AC5032
- AC5052A
- AC5052B
- AC5052C
- AC5058A
- AC5064A
- AC5076C
- AC51
- AC5123
- AC5133
- AC52
- AC53
- AC54
- AC55
- AC56
- AC57
- AC58
- AC59
- AC60
- AC61
- AC62
- AC63
- AC64
- AC65
- AC66
- AC67
- AC68
- AC69
- AC70
- AC71
- AC7100
- AC7110A
- AC7200
- AC7210
- AC7210A
- AC7210B
- AC7300
- AC74
- AC7400
- AC7401
- AC75
- AC7500
- AC76
- AC7600
- AC7601
- AC77
- AC7800
- AC7900
- AC7901
- AC80
- AC8084
- AC8085
- AC81
- ACQ5021
- ACQ5022
- ACQ5031
- ACQ5032
- ACQ5033
- ACQ5034
- ACQ5035

c

uk.gov.hmrc.ct.accounts.frs102.boxes

# AC107 

###

#### case class AC107(value: Option[Int]) extends CtBoxIdentifier with CtOptionalInteger with Input with SelfValidatableBox[Frs102AccountsBoxRetriever, Option[Int]] with Validators with CtTypeConverters with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, CtTypeConverters, SelfValidatableBox[Frs102AccountsBoxRetriever, Option[Int]], ValidatableBox[Frs102AccountsBoxRetriever], ExtraValidation, Validators, Input, CtOptionalInteger, OptionalCtValue[Int], CtValue[Option[Int]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AC107
2. Serializable
3. Serializable
4. Product
5. Equals
6. CtTypeConverters
7. SelfValidatableBox
8. ValidatableBox
9. ExtraValidation
10. Validators
11. Input
12. CtOptionalInteger
13. OptionalCtValue
14. CtValue
15. CtBoxIdentifier
16. AnyRef
17. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new AC107(value: Option[Int])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def And(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
5.  def Or(predicates: () ⇒ Boolean*)(): Boolean
   Attributes
     protected
   Definition Classes
     Validators
6.  def asBoxString: Option[String]
   Definition Classes
     CtValue
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def asInt: Option[Int]
   Definition Classes
     CtOptionalInteger
9.  def atLeastOneBoxHasValue(boxId: String, boxes: OptionalCtValue[_]*)(): Set[CtValidation]
   Attributes
     protected
   Definition Classes
     ValidatableBox
10.  def belowMin(value: Option[Int], min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
11.  def belowMinWithMax(value: Option[Int], max: Int, min: Int = MIN_MONEY_AMOUNT_ALLOWED)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
12.  implicit def box2OptionalBigDecimalIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBigDecimalIdBox
    Definition Classes
      SelfValidatableBox
13.  implicit def box2OptionalBooleanIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalBooleanIdBox
    Definition Classes
      SelfValidatableBox
14.  implicit def box2OptionalDateIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalDateIdBox
    Definition Classes
      SelfValidatableBox
15.  implicit def box2OptionalIntIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalIntIdBox
    Definition Classes
      SelfValidatableBox
16.  implicit def box2OptionalStringIdBox(box: CtValue[_] with CtBoxIdentifier): OptionalStringIdBox
    Definition Classes
      SelfValidatableBox
17.  implicit def box2StringIdBox(box: CtValue[_] with CtBoxIdentifier): StringIdBox
    Definition Classes
      SelfValidatableBox
18.  val boxId: String
    Attributes
      protected
    Definition Classes
      Validators
19.  def cannotExistErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
20.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
21.  def collectErrors(predicates: () ⇒ Set[CtValidation]*): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
22.  def collectWithBoxId(newBoxId: String)(errors: Set[CtValidation]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
23.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
24.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
25.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
26.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
27.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
28.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  def errorMessage[A](messageKey: String, errorArguments: Seq[A] = Seq.empty): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
30.  def exceedsMax(value: Option[Int], max: Int = MAX_MONEY_AMOUNT_ALLOWED, errorMsg: String = "exceeds.max")(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
31.  def failIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
32.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
33.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
35.  def id: String
    Definition Classes
      CtBoxIdentifier
36.  def isEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  def isPositive: Boolean
    Definition Classes
      CtOptionalInteger
39.  def minus(other: Int): Int
    Definition Classes
      CtOptionalInteger
40.  def minus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
41.  def minus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
42.  val name: String
    Definition Classes
      CtBoxIdentifier
43.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
44.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
45.  def nonEmpty(value: Option[_]): Boolean
    Attributes
      protected
    Definition Classes
      Validators
46.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
47.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
48.  def orZero: Int
    Definition Classes
      CtOptionalInteger
49.  def passIf(condition: ⇒ Boolean)(validationErrors: ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
50.  def plus(other: Int): Int
    Definition Classes
      CtOptionalInteger
51.  def plus(other: CtInteger): Int
    Definition Classes
      CtOptionalInteger
52.  def plus(other: CtOptionalInteger): Int
    Definition Classes
      CtOptionalInteger
53.  val postCodeRegex: String
    Attributes
      protected
    Definition Classes
      ExtraValidation
54.  def replaceBoxId(newBoxId: String, errors: () ⇒ Set[CtValidation])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
55.  def requiredErrorIf(predicate: ⇒ Boolean)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
56.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
57.  def validate(boxRetriever: Frs102AccountsBoxRetriever): Set[CtValidation]
    Definition Classes
      AC107 → ValidatableBox
58.  def validateAllFilledOrEmptyStrings(allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
59.  def validateAllFilledOrEmptyStrings(boxId: String, allBoxes: Set[CtValue[String]])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
60.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
61.  def validateAllFilledOrEmptyStringsForBankDetails(boxRetriever: RepaymentsBoxRetriever, boxId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
62.  def validateAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
63.  def validateAsMandatory[U](box: CtValue[U] with CtBoxIdentifier)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
64.  def validateAsMandatory[A](boxId: String, value: Option[A])(): Set[CtValidation]
    Definition Classes
      ExtraValidation
65.  def validateBooleanAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
66.  def validateBooleanAsMandatory(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
67.  def validateBooleanAsTrue()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
68.  def validateBooleanAsTrue(boxId: String, box: OptionalBooleanIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
69.  def validateCoHoStringReturnIllegalChars(value: String, errorCodeBoxId: Option[String])(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
70.  def validateCoHoStringReturnIllegalChars()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
71.  def validateCoHoStringReturnIllegalChars(boxId: String, value: String, errorCodeBoxId: Option[String] = None)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
72.  def validateCoHoStringReturnIllegalChars(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
73.  def validateCohoNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
74.  def validateCohoNameField(boxId: String, box: StringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
75.  def validateCohoOptionalNameField()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
76.  def validateCohoOptionalNameField(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
77.  def validateDateAsAfter(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
78.  def validateDateAsAfter(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
79.  def validateDateAsBefore(dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
80.  def validateDateAsBefore(boxId: String, box: OptionalDateIdBox, dateToCompare: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
81.  def validateDateAsBetweenInclusive(date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
82.  def validateDateAsBetweenInclusive(minDate: LocalDate, maxDate: LocalDate)()(implicit ev: <:<[Option[Int], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
83.  def validateDateAsBetweenInclusive(boxId: String, date: Option[LocalDate], minDate: LocalDate, maxDate: LocalDate, messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
84.  def validateDateAsBetweenInclusive(boxId: String, box: OptionalDateIdBox, minDate: LocalDate, maxDate: LocalDate)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
85.  def validateDateAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
86.  def validateDateAsBlank(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
87.  def validateDateAsMandatory(date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
88.  def validateDateAsMandatory()()(implicit ev: <:<[Option[Int], Option[LocalDate]]): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
89.  def validateDateAsMandatory(boxId: String, date: Option[LocalDate], messageId: String)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
90.  def validateDateAsMandatory(boxId: String, box: OptionalDateIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
91.  def validateDateIsInclusive(boxId: String, minDate: LocalDate, dateToCompare: Option[LocalDate], maxDate: LocalDate): Set[CtValidation]
    Definition Classes
      ExtraValidation
92.  def validateIntegerAsBlank()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
93.  def validateIntegerAsBlank(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
94.  def validateIntegerAsMandatory()(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
95.  def validateIntegerAsMandatory(boxId: String, box: OptionalIntIdBox)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
96.  def validateIntegerRange(min: Int = 0, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      SelfValidatableBox
97.  def validateIntegerRange(boxId: String, box: OptionalIntIdBox, min: Int, max: Int)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      ValidatableBox
98.  def validateMoney(value: Option[Int], min: Int = -99999999, max: Int = 99999999)(): Set[CtValidation]
    Attributes
      protected
    Definition Classes
      Validators
99.  def validateNotEmptyStringByLength(value: String, min: Int, max: Int)(): Set[CtValidation]
    Definition Classes
      SelfValidatableBox
100.  def validateNotEmptyStringByLength(boxId: String, value: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
101.  def validateNotEmptyStringByLengthMin(boxId: String, value: String, min: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
102.  def validateOptionalIntegerAsEqualTo(equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
103.  def validateOptionalIntegerAsEqualTo(box: CtBoxIdentifier with CtOptionalInteger, equalToBox: CtBoxIdentifier with CtOptionalInteger): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
104.  def validateOptionalIntegerLessOrEqualBox(other: CtBoxIdentifier with CtOptionalInteger)()(implicit ev: <:<[Option[Int], Option[Int]]): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
105.  def validateOptionalStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
106.  def validateOptionalStringByLength(boxId: String, box: OptionalStringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
107.  def validateOptionalStringByLength(value: Option[String], min: Int, max: Int, boxId: String, boxIdPrefix: Option[String])(): Set[CtValidation]
     Definition Classes
       ExtraValidation
108.  def validateOptionalStringByLengthMax(boxId: String, box: OptionalStringIdBox, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
109.  def validateOptionalStringByLengthMin(boxId: String, box: OptionalStringIdBox, min: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
110.  def validateOptionalStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
111.  def validateOptionalStringByRegex(boxId: String, box: OptionalStringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
112.  def validatePositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
113.  def validatePositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
114.  def validatePositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
115.  def validatePositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
116.  def validatePostcode(boxId: String)()(implicit ev: <:<[Option[Int], Option[String]]): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
117.  def validatePostcode(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
118.  def validatePostcode(boxId: String, postcode: Option[String]): Set[CtValidation]
     Definition Classes
       ExtraValidation
119.  def validatePostcodeLength(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
120.  def validatePostcodeRegex(boxId: String, postcode: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
121.  def validateRawStringByRegex(value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
122.  def validateRawStringByRegex(boxId: String, value: String, errorCodeBoxId: String, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
123.  def validateStringAsBlank()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
124.  def validateStringAsBlank(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
125.  def validateStringAsMandatory()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
126.  def validateStringAsMandatory(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
127.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
128.  def validateStringAsMandatoryIfPAYEEQ1False(boxRetriever: RepaymentsBoxRetriever, boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
129.  def validateStringAsMandatoryWithNoTrailingWhitespace()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
130.  def validateStringAsMandatoryWithNoTrailingWhitespace(boxId: String, box: OptionalStringIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
131.  def validateStringByLength(value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
132.  def validateStringByLength(min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
133.  def validateStringByLength(boxId: String, value: String, errorCodeId: String, min: Int, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
134.  def validateStringByLength(boxId: String, box: StringIdBox, min: Int, max: Int)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
135.  def validateStringByRegex(regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
136.  def validateStringByRegex(boxId: String, box: StringIdBox, regex: String)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
137.  def validateStringByRegex(boxId: String, str: String, regex: String): Set[CtValidation]
     Definition Classes
       ExtraValidation
138.  def validateStringMaxLength(value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       SelfValidatableBox
139.  def validateStringMaxLength(boxId: String, value: String, max: Int)(): Set[CtValidation]
     Definition Classes
       ValidatableBox
140.  def validateZeroOrNegativeInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
141.  def validateZeroOrPositiveBigDecimal()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
142.  def validateZeroOrPositiveBigDecimal(box: OptionalBigDecimalIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
143.  def validateZeroOrPositiveInteger()(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       SelfValidatableBox
144.  def validateZeroOrPositiveInteger(box: OptionalIntIdBox)(): Set[CtValidation]
     Attributes
       protected
     Definition Classes
       ValidatableBox
145.  def validateZeroOrPositiveInteger(boxId: String, value: Option[Int]): Set[CtValidation]
     Definition Classes
       ExtraValidation
146.  val validationSuccess: Set[CtValidation]
     Definition Classes
       ValidatableBox
147.  val value: Option[Int]
     Definition Classes
       AC107 → CtValue
148.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
149.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... )
150.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from CtTypeConverters

### Inherited from SelfValidatableBox[Frs102AccountsBoxRetriever, Option[Int]]

### Inherited from ValidatableBox[Frs102AccountsBoxRetriever]

### Inherited from ExtraValidation

### Inherited from Validators

### Inherited from Input

### Inherited from CtOptionalInteger

### Inherited from OptionalCtValue[Int]

### Inherited from CtValue[Option[Int]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped